Bug 809810 - Less asterisks in entitlement screen than managed repositories
Less asterisks in entitlement screen than managed repositories
Status: CLOSED ERRATA
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.1
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: wes hayutin
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 08:42 EDT by mkovacik
Modified: 2012-08-24 07:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users could add repositories while products are out of sync. This caused an incorrect listing of repositories during new entitlement creation. This fix checks for add repository failure, reports an error and repopulates the list of available products. This displays a correct listing of repositories for new entitlement creation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 07:53:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/.rhui/rhui.log (128.98 KB, application/octet-stream)
2012-04-04 08:55 EDT, mkovacik
no flags Details
debug output (7.06 KB, text/plain)
2012-05-17 16:38 EDT, wes hayutin
no flags Details
bug exists in reimporting repos (4.91 KB, text/plain)
2012-05-18 10:25 EDT, wes hayutin
no flags Details
Disproving screen log (60.18 KB, text/plain)
2012-07-31 04:29 EDT, mkovacik
no flags Details

  None (edit)
Description mkovacik 2012-04-04 08:42:12 EDT
Description of problem:
When creating new entitlement, some repositories miss asterisk even though they are managed by rhui.

Version-Release number of selected component (if applicable):
2.0.1--2.0.3 upgrade; RHEL-6.2-RHUI-2.0.3-20120322.0-Server-x86_64-DVD1.iso

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
See the description

Expected results:
Asterisks in the entitlement creation screen should match the repositories actually managed by rhui.

Additional info:
### SCREEN LOG

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                                         Connected: dhcp-31-127.brq.redhat.com
------------------------------------------------------------------------------
rhui (home) => r

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

                                         Connected: dhcp-31-127.brq.redhat.com
------------------------------------------------------------------------------
rhui (repo) => l

Red Hat Repositories
  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI (6Server-i386)
  Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI (6Server-x86_64)


------------------------------------------------------------------------------
rhui (repo) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                                         Connected: dhcp-31-127.brq.redhat.com
------------------------------------------------------------------------------
rhui (home) => e

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Client Entitlement Management =-

   e   generate an entitlement certificate
   c   create a client configuration RPM from an entitlement certificate

                                         Connected: dhcp-31-127.brq.redhat.com
------------------------------------------------------------------------------
rhui (client) => e

Select one or more repositories to include in the entitlement certificate:
(an * next to a Red Hat repository indicates it is deployed in the RHUI)

  Custom Repositories

  Red Hat Repositories
    -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
    -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
    -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
    -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
    -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
    -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
    -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
    -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
    -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
    -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
    -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
    -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
    -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
    -  14: Red Hat Enterprise Linux 5 Server from RHUI (RPMs) *
    -  15: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
    -  16: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
    -  17: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs)
    -  18: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
    -  19: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs)
    -  20: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs)
    -  21: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs)
    -  22: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
    -  23: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI *
    -  24: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
    -  25: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
    -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
    -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
    -  28: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
    -  29: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
    -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs)
    -  31: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs)
    -  32: Red Hat Enterprise Linux 6 Server from RHUI (RPMs)
    -  33: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs)
    -  34: Red Hat Update Infrastructure 1.2 (Debug RPMs)
    -  35: Red Hat Update Infrastructure 1.2 (RPMs)
    -  36: Red Hat Update Infrastructure 1.2 (Source RPMs)
    -  37: Red Hat Update Infrastructure 2.0 (Debug RPMs)
    -  38: Red Hat Update Infrastructure 2.0 (RPMs) *
    -  39: Red Hat Update Infrastructure 2.0 (Source RPMs)

Enter value (1-39) to toggle selection, 'c' to confirm selections, or '?' for more commands: b



------------------------------------------------------------------------------
rhui (client) => q
[root@dhcp-31-127 ~]# pulp-admin -u admin -p admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                      rhel-x86_64-6-rhui-2-rpms-6Server-x86_64
Name                    Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Repo URL                dhcp-31-128.brq.redhat.com
Feed URL                https://cdn.rcm-qa.redhat.com//content/dist/rhel/rhui/server/6/6Server/x86_64/rhui/2.0/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-03-27T18:04:04+02:00/PT6H
Packages                37
Files                   0
Distributions           None
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-x86_64-6-rhui-2-rpms']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-6-rhui-server-rpms-6Server-i386
Name                    Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
Repo URL                dhcp-31-128.brq.redhat.com
Feed URL                https://cdn.rcm-qa.redhat.com//content/dist/rhel/rhui/server/6/6Server/i386/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-03-27T18:25:52+02:00/PT6H
Packages                5437
Files                   0
Distributions           ks-Red Hat Enterprise Linux-Server-6.2-i386
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-6-rhui-server-rpms']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-6-rhui-server-rpms-6Server-x86_64
Name                    Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
Repo URL                dhcp-31-128.brq.redhat.com
Feed URL                https://cdn.rcm-qa.redhat.com//content/dist/rhel/rhui/server/6/6Server/x86_64/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-03-27T18:25:54+02:00/PT6H
Packages                7060
Files                   0
Distributions           ks-Red Hat Enterprise Linux-Server-6.2-x86_64
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-6-rhui-server-rpms']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-5-server-rhui-rpms-5Server-i386
Name                    Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
Repo URL                dhcp-31-128.brq.redhat.com
Feed URL                https://cdn.rcm-qa.redhat.com//content/dist/rhel/rhui/server/5/5Server/i386/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-03-29T03:11:57+02:00/PT6H
Packages                10304
Files                   0
Distributions           ks-Red Hat Enterprise Linux Server-None-5.8-i386
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-5-server-rhui-rpms']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-5-server-rhui-rpms-5Server-x86_64
Name                    Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
Repo URL                dhcp-31-128.brq.redhat.com
Feed URL                https://cdn.rcm-qa.redhat.com//content/dist/rhel/rhui/server/5/5Server/x86_64/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-03-29T03:11:58+02:00/PT6H
Packages                13446
Files                   0
Distributions           ks-Red Hat Enterprise Linux Server-None-5.8-x86_64
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-5-server-rhui-rpms']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-6-rhui-server-supplementary-6Server-i386
Name                    Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI (6Server-i386)
Repo URL                dhcp-31-129.brq.redhat.com
Feed URL                https://cdn.redhat.com//content/dist/rhel/rhui/server/6/6Server/i386/supplementary/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-04-04T17:51:52+02:00/PT6H
Packages                175
Files                   0
Distributions           None
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-6-rhui-server-supplementary']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256


Id                      rhel-6-rhui-server-supplementary-6Server-x86_64
Name                    Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI (6Server-x86_64)
Repo URL                dhcp-31-129.brq.redhat.com
Feed URL                https://cdn.redhat.com//content/dist/rhel/rhui/server/6/6Server/x86_64/supplementary/os
Feed Type               remote
Content Type            yum
Feed Certs              CA:Yes   Cert:Yes
Consumer Certs          CA:Yes   Cert:Yes
Architecture            noarch
Sync Schedule           2012-04-04T17:51:50+02:00/PT6H
Packages                197
Files                   0
Distributions           None
Publish                 True
Clones                  []
Groups                  [u'redhat', u'rhel-6-rhui-server-supplementary']
Filters                 []
Notes                   {}
Preserve Metadata       True
Checksum Type           sha256
Comment 2 mkovacik 2012-04-04 08:55:15 EDT
Created attachment 575121 [details]
/root/.rhui/rhui.log
Comment 3 wes hayutin 2012-05-17 14:41:23 EDT
so.. the asterisk will only be for the product..

When you go to try this again.. can you try adding the repository by product and see if the asterisk's match up..




             -= Red Hat Update Infrastructure Management Tool =-


-= Client Entitlement Management =-

   e   generate an entitlement certificate
   c   create a client configuration RPM from an entitlement certificate

                                                            Connected: minidoe
------------------------------------------------------------------------------
rhui (client) => e

Select one or more repositories to include in the entitlement certificate:
(an * next to a Red Hat repository indicates it is deployed in the RHUI)

  Custom Repositories

  Red Hat Repositories
    -  1 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) *
    -  2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs) *
    -  3 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) *
    -  4 : Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) *
    -  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs) *
    -  6 : Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs) *
    -  7 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs) *
    -  8 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs) *
    -  9 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs) *
    -  10: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs) *
    -  11: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs) *
    -  12: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs) *
    -  13: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs) *
    -  14: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs) *
    -  15: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs) *
    -  16: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs) *
    -  17: Red Hat Enterprise Linux 6 Server from RHUI (RPMs) *
    -  18: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs) *
    -  19: Red Hat Update Infrastructure 1.2 (Debug RPMs) *
    -  20: Red Hat Update Infrastructure 1.2 (RPMs) *
    -  21: Red Hat Update Infrastructure 1.2 (Source RPMs) *
    -  22: Red Hat Update Infrastructure 2.0 (Debug RPMs) *
    -  23: Red Hat Update Infrastructure 2.0 (RPMs) *
    -  24: Red Hat Update Infrastructure 2.0 (Source RPMs) *

Enter value (1-24) to toggle selection, 'c' to confirm selections, or '?' for more commands:
Comment 4 wes hayutin 2012-05-17 14:45:49 EDT
whoops.. actually just did recreate:

notice 1-5 and 21-24 should have an asterisk. 

mport Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: 2

All repositories for selected products will be imported in this process.

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  3 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  4 : Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  -  6 : Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  7 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  8 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs)
  -  9 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  10: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  15: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs)
  -  16: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs)
  -  17: Red Hat Enterprise Linux 6 Server from RHUI (RPMs)
  -  18: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs)
  -  19: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  20: Red Hat Update Infrastructure 1.2 (RPMs)
  -  21: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  22: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  23: Red Hat Update Infrastructure 2.0 (RPMs)
  -  24: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-24) to toggle selection, 'c' to confirm selections, or '?' for more commands: 1-5

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  x  1 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  x  2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  x  3 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  x  4 : Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  x  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  -  6 : Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  7 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  8 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs)
  -  9 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  10: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  15: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs)
  -  16: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs)
  -  17: Red Hat Enterprise Linux 6 Server from RHUI (RPMs)
  -  18: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs)
  -  19: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  20: Red Hat Update Infrastructure 1.2 (RPMs)
  -  21: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  22: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  23: Red Hat Update Infrastructure 2.0 (RPMs)
  -  24: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-24) to toggle selection, 'c' to confirm selections, or '?' for more commands: 21-24

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  x  1 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  x  2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  x  3 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  x  4 : Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  x  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  -  6 : Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  7 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  8 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs)
  -  9 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  10: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  15: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs)
  -  16: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs)
  -  17: Red Hat Enterprise Linux 6 Server from RHUI (RPMs)
  -  18: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs)
  -  19: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  20: Red Hat Update Infrastructure 1.2 (RPMs)
  x  21: Red Hat Update Infrastructure 1.2 (Source RPMs)
  x  22: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  x  23: Red Hat Update Infrastructure 2.0 (RPMs)
  x  24: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-24) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following products will be deployed:
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  Red Hat Update Infrastructure 1.2 (Source RPMs)
  Red Hat Update Infrastructure 2.0 (Debug RPMs)
  Red Hat Update Infrastructure 2.0 (RPMs)
  Red Hat Update Infrastructure 2.0 (Source RPMs)
Proceed? (y/n) y


Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)...
  Importing product repository Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-x86_64)...
  Importing product repository Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-i386)...
Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)...
Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)...
  Importing product repository Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-x86_64)...
  Importing product repository Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-i386)...
Importing Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)...
  Importing product repository Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-i386)...
  Importing product repository Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-x86_64)...
Importing Red Hat Enterprise Linux 5 Server from RHUI (RPMs)...
Importing Red Hat Update Infrastructure 1.2 (Source RPMs)...
  Importing product repository Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-x86_64)...
  Importing product repository Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-i386)...
Importing Red Hat Update Infrastructure 2.0 (Debug RPMs)...
  Importing product repository Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-i386)...
  Importing product repository Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-x86_64)...
Importing Red Hat Update Infrastructure 2.0 (RPMs)...
Importing Red Hat Update Infrastructure 2.0 (Source RPMs)...
  Importing product repository Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-x86_64)...
  Importing product repository Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-i386)...

Content will not be downloaded to the newly imported repositories
until the next sync is run.

------------------------------------------------------------------------------
rhui (repo) => <


------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                                                            Connected: minidoe
------------------------------------------------------------------------------
rhui (home) => e


------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Client Entitlement Management =-

   e   generate an entitlement certificate
   c   create a client configuration RPM from an entitlement certificate

                                                            Connected: minidoe
------------------------------------------------------------------------------
rhui (client) => e

Select one or more repositories to include in the entitlement certificate:
(an * next to a Red Hat repository indicates it is deployed in the RHUI)

  Custom Repositories

  Red Hat Repositories
    -  1 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) *
    -  2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
    -  3 : Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) *
    -  4 : Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) *
    -  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
    -  6 : Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
    -  7 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
    -  8 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (Source RPMs)
    -  9 : Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
    -  10: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Debug RPMs)
    -  11: Red Hat Enterprise Linux 6 Server - Optional from RHUI (RPMs)
    -  12: Red Hat Enterprise Linux 6 Server - Optional from RHUI (Source RPMs)
    -  13: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
    -  14: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
    -  15: Red Hat Enterprise Linux 6 Server Beta from RHUI (Source RPMs)
    -  16: Red Hat Enterprise Linux 6 Server from RHUI (Debug RPMs)
    -  17: Red Hat Enterprise Linux 6 Server from RHUI (RPMs)
    -  18: Red Hat Enterprise Linux 6 Server from RHUI (Source RPMs)
    -  19: Red Hat Update Infrastructure 1.2 (Debug RPMs)
    -  20: Red Hat Update Infrastructure 1.2 (RPMs)
    -  21: Red Hat Update Infrastructure 1.2 (Source RPMs) *
    -  22: Red Hat Update Infrastructure 2.0 (Debug RPMs) *
    -  23: Red Hat Update Infrastructure 2.0 (RPMs)
    -  24: Red Hat Update Infrastructure 2.0 (Source RPMs) *

Enter value (1-24) to toggle selection, 'c' to confirm selections, or '?' for more commands:
Comment 5 wes hayutin 2012-05-17 14:56:47 EDT
here is the code that handles this..

        deployed_redhat_repos = self.pulp.redhat_repo_list()

        redhat_ent_names = []
        for e in redhat_ents:
            name = e.name

            if len([repo for repo in deployed_redhat_repos if e.label in repo['groupid']]) > 0:
                name += ' *'
Comment 6 wes hayutin 2012-05-17 15:25:55 EDT
afaict the missing repo's are indeed missing.. 
If you make the call...pulp.redhat_repo_list()

you get back...
Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-i386)
Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-x86_64)
Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-i386)
Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-x86_64)
Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-i386)
Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-x86_64)
Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-x86_64)
Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-i386)
Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-x86_64)
Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-x86_64)
Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-i386)
Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-i386)

which the two repo's are missing
23: Red Hat Update Infrastructure 2.0 (RPMs)
 2 : Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
Comment 7 wes hayutin 2012-05-17 15:28:06 EDT
they are also missing when rhui lists out the currently managed repo's and you can't add them..


rhui (repo) => l

Red Hat Repositories
  Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-i386)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-x86_64)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs) (5Server-i386)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-x86_64)
  Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-i386)
  Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs) (5Server-x86_64)
  Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-x86_64)
  Red Hat Update Infrastructure 1.2 (Source RPMs) (5Server-i386)
  Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-x86_64)
  Red Hat Update Infrastructure 2.0 (Source RPMs) (6Server-x86_64)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs) (5Server-i386)
  Red Hat Update Infrastructure 2.0 (Debug RPMs) (6Server-i386)
Comment 8 wes hayutin 2012-05-17 16:38:37 EDT
Created attachment 585306 [details]
debug output
Comment 9 wes hayutin 2012-05-17 17:41:16 EDT
99% sure the issue is caused by deleting the repo at some point in the workflow.

recreate:
1. add repos
2. create entitlement, look for asterisks (all there)
3. delete repo
4. add repos
5. create entitlement, look for asterisks (previously deleted repo's missing)
Comment 10 wes hayutin 2012-05-18 10:25:25 EDT
Created attachment 585424 [details]
bug exists in reimporting repos

Notice that several repos are selected to be imported.. note this is after importing and deleting several times..

Only the following repos are reimported successfully.
  Importing product repository Red Hat Update Infrastructure 2.0 (RPMs) (6Server-i386)...
  Importing product repository Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)...
Comment 11 wes hayutin 2012-05-18 10:58:45 EDT
** notice no repos are managed after import **

The following products will be deployed:
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
Proceed? (y/n) y


Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)...
Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)...
Importing Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)...
Importing Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)...
Importing Red Hat Enterprise Linux 5 Server from RHUI (RPMs)...

Content will not be downloaded to the newly imported repositories
until the next sync is run.

------------------------------------------------------------------------------
rhui (repo) => l

No repositories are currently managed by the RHUI
Comment 12 wes hayutin 2012-05-18 11:34:55 EDT
confirmed recreate..

1. add several repos
2. delete all repos at once 
3. list repos
4. add a repo
result: fail
Comment 13 wes hayutin 2012-05-18 12:51:30 EDT
its possible what ever calls..

Loading latest entitled products from Red Hat...
... listings loaded
Determining undeployed products...
... product list calculated

needs to be rerun after "delete" repos or before add every time
Comment 14 wes hayutin 2012-05-18 12:56:02 EDT
k.. I believe the root cause is here..

if not self.candidate_repo_manager.has_translation_run():
            self.prompt.write('Loading latest entitled products from Red Hat...')
            self.candidate_repo_manager.translate_entitlements()
            self.prompt.write('... listings loaded')

a user is able to add a repo when the products are out of sync some how.
Comment 15 wes hayutin 2012-05-18 13:36:45 EDT
cloude repo..

commit c6d41418d76e35d0316351878c2b215bf25a3746
Author: wes hayutin <weshayutin@gmail.com>

should fix the issue
Comment 16 mkovacik 2012-07-31 04:29:46 EDT
Created attachment 601470 [details]
Disproving screen log

Even though the add-delete-add discrepancy seems resolved (repo listed OK), the situation with the asterisks worsen even more: no asterisks are displayed at all when selecting repos for client entitlement certificate generation, no matter whether the repos are synced or not. See the log attached.

Above the line '#### NO ASTERISKS AT ALL' it shows the add-delete-add workflow with no asterisks depicted selecting an unsynced repo for client entitlement generation. Below the line, the same happens even with repos that have been synced.

Version: RHEL-6.3-RHUI-2.1-20120705.0-Server-x86_64-DVD1.iso
Comment 17 wes hayutin 2012-07-31 09:32:14 EDT
The list is now filtered.. so only the repositories that would have had the asterisks are displayed..
AFAICT.. the only issue left is that we still display the text "(an * next to a Red Hat repository indicates it is deployed in the RHUI)"

Sort of a different issue..
Comment 18 wes hayutin 2012-07-31 09:35:12 EDT
IMHO.. to verify this bug.. confirm that the appropriate repositories are available in the list when generating an entitlement cert.

I'll open a new bug to remove the asterisks text.
Comment 19 mkovacik 2012-07-31 09:42:08 EDT
Cool, I somehow didn't notice the filtering (maybe because I focused on the asterisks ;)  Actually, only the repos deployed on rhua are being offered all the time what may be observed in the attachment 601470 [details], too---changing status to verified...
Comment 20 Dan Macpherson 2012-08-14 00:22:46 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Users could add repositories while products are out of sync. This caused an incorrect listing of repositories during new entitlement creation. This fix checks for add repository failure, reports an error and repopulates the list of available products. This displays a correct listing of repositories for new entitlement creation.
Comment 22 errata-xmlrpc 2012-08-24 07:53:56 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1205.html

Note You need to log in before you can comment on or make changes to this bug.